All PS/2 ports on PS/2 Serial add-in bracket are not working after S3

Bug #1866734 reported by AceLan Kao
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Undecided
You-Sheng Yang
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
Focal
Undecided
You-Sheng Yang
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Eoan
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
You-Sheng Yang
Eoan
Undecided
Unassigned

Bug Description

[Impact]
PS/2 ports on PS/2 Serial add-in card do not work after S3.

[Fix]
The i8042 controller selftest fails while resuming, adding retry fix this issue.

[Test]
Verified on the target machine, the ps/2 keyboard keeps working after S3 test 30 times.

[Regression Potential]
Low, there is a retry logic in controller selftest, but it returns directly if it fails to communicate with the controller. This commit make it retry 5 times before return fails.

CVE References

Revision history for this message
AceLan Kao (acelankao) wrote :
no longer affects: linux (Ubuntu Bionic)
no longer affects: linux-oem-osp1 (Ubuntu Focal)
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → In Progress
Changed in linux-oem-osp1 (Ubuntu):
status: New → Invalid
tags: added: oem-priority originate-from-1859935 somerville
AceLan Kao (acelankao)
Changed in linux (Ubuntu Focal):
assignee: nobody → AceLan Kao (acelankao)
Changed in linux-oem-osp1 (Ubuntu Bionic):
assignee: nobody → AceLan Kao (acelankao)
Revision history for this message
You-Sheng Yang (vicamo) wrote :

I would like to propose a V2 for this. The original logic allows continuation to device probe when selftest returns a different value than expected, and this is no longer available with v1 from AceLan.

Revision history for this message
You-Sheng Yang (vicamo) wrote :

upstream patch thread: https://<email address hidden>/

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

nitpick:
Should be "if ((ret = i8042_command(&param, I8042_CMD_CTL_TEST)))"

Revision history for this message
You-Sheng Yang (vicamo) wrote :

@kaiheng, yes, updated in the replied patch after running checkpatch.pl.

tags: added: patch
Timo Aaltonen (tjaalton)
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

osp1 kernel is in proposed, please test asap

tags: added: verification-needed-bionic
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Verified linux-oem-osp1 version 5.0.0-1043 from bionic-proposed.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Revision history for this message
You-Sheng Yang (vicamo) wrote :
Changed in linux (Ubuntu Focal):
assignee: AceLan Kao (acelankao) → You-Sheng Yang (vicamo)
Changed in linux-oem-osp1 (Ubuntu Bionic):
assignee: AceLan Kao (acelankao) → You-Sheng Yang (vicamo)
Revision history for this message
You-Sheng Yang (vicamo) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1043.48

---------------
linux-oem-osp1 (5.0.0-1043.48) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1043.48 -proposed tracker (LP: #1867111)

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - SAUCE: Input: i8042 - Fix the selftest retry logic

  * r8152 init may take up to 40 seconds at initialization with Dell WD19/WD19DC
    during hotplug (LP: #1864284)
    - UBUNTU SAUCE: r8151: check disconnect status after long sleep

  * Miscellaneous Ubuntu changes
    - [Config] Bump the GCC version

 -- Timo Aaltonen <email address hidden> Thu, 12 Mar 2020 11:14:40 +0200

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

reopening, new patches applied from the list

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Released → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1043.48

---------------
linux-oem-osp1 (5.0.0-1043.48) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1043.48 -proposed tracker (LP: #1867111)

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - SAUCE: Input: i8042 - Fix the selftest retry logic

  * r8152 init may take up to 40 seconds at initialization with Dell WD19/WD19DC
    during hotplug (LP: #1864284)
    - UBUNTU SAUCE: r8151: check disconnect status after long sleep

  * Miscellaneous Ubuntu changes
    - [Config] Bump the GCC version

 -- Timo Aaltonen <email address hidden> Thu, 12 Mar 2020 11:14:40 +0200

Changed in linux-oem-osp1 (Ubuntu Eoan):
status: New → Fix Released
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Both v1 and v2 cause a regression that when PS/2 keyboard/mouse are not connected at boot, they'd never function again.

Revision history for this message
You-Sheng Yang (vicamo) wrote :

It appears booting without PS/2 mouse/keyboard connected is not a valid scenario ever. So it's a false alarm. Everything is fine.

You-Sheng Yang (vicamo)
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Verified version 5.4.0-20.24 in focal-proposed.

tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-21.25

---------------
linux (5.4.0-21.25) focal; urgency=medium

  * CVE-2020-8835
    - SAUCE: bpf: undo incorrect __reg_bound_offset32 handling

 -- Thadeu Lima de Souza Cascardo <email address hidden> Thu, 26 Mar 2020 17:51:28 -0300

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Khaled El Mously (kmously) wrote :

Applied to Eoan.

@You-Sheng: Note that this was NOT applied to Bionic. It's not clear if it should be applied to Bionic or not (see the responses on the email thread)

Changed in linux (Ubuntu Eoan):
status: New → Fix Committed
no longer affects: linux-oem-osp1 (Ubuntu Bionic)
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in linux-oem (Ubuntu Bionic):
status: New → Invalid
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
assignee: nobody → You-Sheng Yang (vicamo)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1079.89

---------------
linux-oem (4.15.0-1079.89) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1079.89 -proposed tracker (LP: #1869302)

  [ Ubuntu: 4.15.0-94.95 ]

  * bionic/linux: 4.15.0-94.95 -proposed tracker (LP: #1868984)
  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

 -- Chia-Lin Kao (AceLan) <email address hidden> Fri, 27 Mar 2020 13:08:19 +0800

Changed in linux-oem (Ubuntu Bionic):
status: Invalid → Fix Released
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (63.5 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1047.52

---------------
linux-oem-osp1 (5.0.0-1047.52) bionic; urgency=medium

  * bionic/linux-oem-osp1: 5.0.0-1047.52 -proposed tracker (LP: #1869351)

  * ucsi_ccg 50 second hang while resuming from s2ram with nvidia, recent
    kernels (LP: #1850238)
    - i2c: nvidia-gpu: Handle timeout correctly in gpu_i2c_check_status()

  * All PS/2 ports on PS/2 Serial add-in bracket are not working after S3
    (LP: #1866734)
    - Revert "UBUNTU: SAUCE: Input: i8042 - Fix the selftest retry logic"
    - SAUCE: Input: i8042 - fix the selftest retry logic

  [ Ubuntu: 5.0.0-45.49 ]

  * disco/linux: 5.0.0-45.49 -proposed tracker (LP: #1868954)
  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

  [ Ubuntu: 5.0.0-44.48 ]

  * disco/linux: 5.0.0-44.48 -proposed tracker (LP: #1867284)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
  * Disco update: upstream stable patchset 2020-03-10 (LP: #1866858)
    - Revert "drm/sun4i: dsi: Change the start delay calculation"
    - ovl: fix lseek overflow on 32bit
    - kernel/module: Fix memleak in module_add_modinfo_attrs()
    - media: iguanair: fix endpoint sanity check
    - ocfs2: fix oops when writing cloned file
    - x86/cpu: Update cached HLE state on write to TSX_CTRL_CPUID_CLEAR
    - udf: Allow writing to 'Rewritable' partitions
    - printk: fix exclusive_console replaying
    - iwlwifi: mvm: fix NVM check for 3168 devices
    - sparc32: fix struct ipc64_perm type definition
    - cls_rsvp: fix rsvp_policy
    - gtp: use __GFP_NOWARN to avoid memalloc warning
    - l2tp: Allow duplicate session creation with UDP
    - net: hsr: fix possible NULL deref in hsr_handle_frame()
    - net_sched: fix an OOB access in cls_tcindex
    - net: stmmac: Delete txtimer in suspend()
    - bnxt_en: Fix TC queue mapping.
    - tcp: clear tp->total_retrans in tcp_disconnect()
    - tcp: clear tp->delivered in tcp_disconnect()
    - tcp: clear tp->data_segs{in|out} in tcp_disconnect()
    - tcp: clear tp->segs_{in|out} in tcp_disconnect()
    - rxrpc: Fix use-after-free in rxrpc_put_local()
    - rxrpc: Fix insufficient receive notification generation
    - rxrpc: Fix missing active use pinning of rxrpc_local object
    - rxrpc: Fix NULL pointer deref due to call->conn being cleared on disconnect
    - media: uvcvideo: Avoid cyclic entity chains due to malformed USB descriptors
    - mfd: dln2: More sanity checking for endpoints
    - ipc/msg.c: consolidate all xxxctl_down() functions
    - tracing: Fix sched switch start/stop refcount racy updates
    - rcu: Avoid data-race in rcu_gp_fqs_check_wake()
    - brcmfmac: Fix memory leak in brcmf_usbdev_qinit
    - usb: typec: tcpci: mask event interrupts when remove driver
    - usb: gadget: legacy: set max_speed to super-speed
    - usb: gadget: f_ncm: Use atomic_t to track in-flight request
    - usb: gadget: f_ecm: Use atomic_t to track in-flight request
    - ALSA: usb-audio: Fix endianess in descriptor validation
    - ALSA: dummy: Fix...

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1079.89

---------------
linux-oem (4.15.0-1079.89) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1079.89 -proposed tracker (LP: #1869302)

  [ Ubuntu: 4.15.0-94.95 ]

  * bionic/linux: 4.15.0-94.95 -proposed tracker (LP: #1868984)
  * Missing wireless network interface after kernel 5.3.0-43 upgrade with eoan
    (LP: #1868442)
    - iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168 devices

 -- Chia-Lin Kao (AceLan) <email address hidden> Fri, 27 Mar 2020 13:08:19 +0800

Changed in linux-oem (Ubuntu Eoan):
status: New → Fix Released
status: New → Fix Released
Revision history for this message
You-Sheng Yang (vicamo) wrote :

Verified 5.3.0-47.39 from eoan-proposed.

tags: added: verification-done-eoan
removed: verification-needed-eoan
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.3.0-51.44

---------------
linux (5.3.0-51.44) eoan; urgency=medium

  * CVE-2020-11884
    - SAUCE: s390/mm: fix page table upgrade vs 2ndary address mode accesses

 -- Thadeu Lima de Souza Cascardo <email address hidden> Wed, 22 Apr 2020 17:35:41 -0300

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.15.0-99.100

---------------
linux (4.15.0-99.100) bionic; urgency=medium

  * CVE-2020-11884
    - SAUCE: s390/mm: fix page table upgrade vs 2ndary address mode accesses

 -- Marcelo Henrique Cerri <email address hidden> Wed, 22 Apr 2020 15:31:14 -0300

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-oem (Ubuntu):
status: New → Fix Released
Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers